targets.h File Reference
`#include <vector>`
`#include "hwy/base.h"`
`#include "hwy/detect_targets.h"`
`#include "hwy/highway_export.h"`
`#include <atomic>`

Go to the source code of this file.

## Classes

struct | hwy::ChosenTarget

## Namespaces

namespace | hwy

## Macros

#define | HWY_SUPPORTED_TARGETS HWY_TARGETS
#define | HWY_CHOSEN_TARGET_MASK_SCALAR (1LL << (HWY_MAX_DYNAMIC_TARGETS + 1))
#define | HWY_CHOSEN_TARGET_SHIFT(X)
#define | HWY_CHOSEN_TARGET_MASK_TARGETS (HWY_CHOSEN_TARGET_SHIFT(HWY_TARGETS) | HWY_CHOSEN_TARGET_MASK_SCALAR | 1LL)
#define | HWY_MAX_DYNAMIC_TARGETS 1
#define | HWY_HIGHEST_TARGET_BIT HWY_HIGHEST_TARGET_BIT_SCALAR

## Functions

HWY_DLLEXPORT int64_t | hwy::SupportedTargets ()
HWY_DLLEXPORT void | hwy::DisableTargets (int64_t disabled_targets)
HWY_DLLEXPORT void | hwy::SetSupportedTargetsForTest (int64_t targets)
HWY_INLINE std::vector< int64_t > | hwy::SupportedAndGeneratedTargets ()
static HWY_MAYBE_UNUSED const char * | hwy::TargetName (int64_t target)
HWY_DLLEXPORT ChosenTarget & | hwy::GetChosenTarget ()

## Macro Definition Documentation

## HWY_CHOSEN_TARGET_MASK_SCALAR

#define HWY_CHOSEN_TARGET_MASK_SCALAR (1LL << (HWY_MAX_DYNAMIC_TARGETS + 1))

## HWY_CHOSEN_TARGET_MASK_TARGETS

#define HWY_CHOSEN_TARGET_MASK_TARGETS (HWY_CHOSEN_TARGET_SHIFT(HWY_TARGETS) | HWY_CHOSEN_TARGET_MASK_SCALAR | 1LL)

## HWY_CHOSEN_TARGET_SHIFT

#define HWY_CHOSEN_TARGET_SHIFT | ( |  | X | ) |

Value:
((((X) >> (HWY_HIGHEST_TARGET_BIT + 1 - HWY_MAX_DYNAMIC_TARGETS)) & \
((1LL << HWY_MAX_DYNAMIC_TARGETS) - 1)) \
<< 1)
HWY_MAX_DYNAMIC_TARGETS
#define HWY_MAX_DYNAMIC_TARGETS
Definition targets.h:269
HWY_HIGHEST_TARGET_BIT
#define HWY_HIGHEST_TARGET_BIT
Definition targets.h:270

## HWY_HIGHEST_TARGET_BIT

#define HWY_HIGHEST_TARGET_BIT HWY_HIGHEST_TARGET_BIT_SCALAR

## HWY_MAX_DYNAMIC_TARGETS

#define HWY_MAX_DYNAMIC_TARGETS 1

## HWY_SUPPORTED_TARGETS

#define HWY_SUPPORTED_TARGETS HWY_TARGETS